- blocked_by_issues = @issue.blocked_by_issues(current_user)
- blocked_by_issues_links = blocked_by_issues.map { |blocking_issue| link_to "\##{blocking_issue.iid}", project_issue_path(blocking_issue.project, blocking_issue), class: 'gl-link' }.join(', ').html_safe

- if @issue.blocked? && @issue.blocked_by_issues(current_user).length > 0
  .hidden.js-close-blocked-issue-warning.js-issuable-buttons.gl-alert.gl-alert-warning.prepend-top-16{ role: 'alert', data: { 'action': "close-reopen" } }
    = sprite_icon('warning', size: 16, css_class: 'gl-icon gl-alert-icon')
    %h4.gl-alert-title
      = _('Are you sure you want to close this blocked issue?')
    .gl-alert-body
      = _('This issue is currently blocked by the following issues: %{issues}.').html_safe % { issues: blocked_by_issues_links }
    .gl-alert-actions
      %button{ class: "btn btn-close-anyway gl-alert-action btn-warning btn-md gl-button", data: { endpoint: close_issuable_path(@issue) } }
        = _("Yes, close issue")
      %button.btn.gl-alert-action.btn-warning.btn-md.gl-button.btn-secondary
        = s_('Cancel')
